> For the complete documentation index, see [llms.txt](https://docs.cometh.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cometh.io/sdk-core/capabilities/getcapabilities.md).

# getCapabilities

Extracts the capabilities supported by the connected wallet, grouped by chain ID. This includes features like **atomic batching**, **paymaster services**, and **permissions**.

```typescript
const capabilities = await smartAccountClient.getCapabilities()
```

## Returns

A JSON object detailing the wallet’s supported capabilities per chain.

```json
{
  "0x8453": {
    "atomicBatch": {
      "supported": true
    },
    "paymasterService": {
      "supported": true
    },
    "permissions": {
      "supported": true,
      "signerTypes": ["account"],
      "permissionTypes": ["sudo", "contract-call"]
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cometh.io/sdk-core/capabilities/getcapabilities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
